:root {
    --color1: #18cfab;
    --color2: rgba(187, 187, 187, 255);
    font-family: Montserrat, ﻿Courier, sans-serif;
}

body {
    min-width: 1200px;
}

a {
    text-decoration: none;
    color: inherit;
    cursor: pointer;
}

.hidden {
    display: none;
}

.top-background {
    height: 100vh;
    background-image: linear-gradient(to top, rgba(102, 101, 96, 0.4), rgba(102, 101, 96, 0.4)),
url('../img/Sections background/section-1(header).jpg');
    background-position: 10% 35%;
    background-repeat: no-repeat;
    background-attachment: fixed;
}

/*--------nav--------*/
.nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 15%;
    color: white;
    background-color: rgba(74, 71, 76, 0.5);
}

.nav-logo-container {
    display: flex;
    align-items: center;
    font-size: 32px;
    cursor: pointer;
}

.green {
    color: var(--color1);
    font-weight: bold;
}

.polygon {
    width: 58px;
    height: 67px;
    margin-right: 10px;
    color: white;
    background: url('../img/sprite/spritesheet.png') -435px -10px;
    font-weight: bold;
    font-size: 40px;
    text-align: center;
    line-height: 65px;
    vertical-align: center;
}

.nav-logo-text {
    color: var(--color1);
    font-weight: bold;
}

.nav-menu-list {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav-menu-item {
    position: relative;
    height: 120px;
    line-height: 120px;
    font-size: 12px;
    font-weight: 500;
    text-transform: uppercase;
    color: rgba(212, 212, 212, 255);
    margin-right: 20px;
    cursor: pointer;
}

.nav-menu-item:hover {
    color: var(--color1);
}

.nav-menu-item::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 2px;
    background-color: var(--color1);
    display: none;
}

.nav-menu-item:hover::after {
    display: block;
}

.nav-search {
    cursor: pointer;
}

/*----------header----------*/

.header {
    height: 100vh;
    display: flex;
    align-items: center;
    flex-direction: column;
    padding-top: 245px;
}

.header-text {
    color: white;
    text-align: center;
}

p.header-text {
    font-size: 32px;
    color: rgba(212, 212, 212, 0.7);
    margin-bottom: 142px;
}

.header-title {
    font-size: 32px;
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 45px;
}

.header-credo {
    font-size: 66px;
    font-weight: bold;
    text-transform: uppercase;
    margin-bottom: 36px;
}

.header-button, .btn {
    height: 60px;
    width: 165px;
    color: white;
    font-size: 12px;
    border: none;
    border-radius: 5px;
    outline: none;
    box-shadow: 0 -4px 0 white;
    text-transform: uppercase;
    margin-right: 30px;
}

.btn-green {
    background-color: var(--color1);
}

.btn-blue {
    background-color: #00cbf6;
}

.features {
    height: 370px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

.features > div {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    font-size: 20px;
    text-transform: uppercase;
    text-align: center;
    font-weight: bold;
    padding: 100px 0 120px 0;
}

.features-black {
    background: #1c2a33;
    color: var(--color1);
    border-top: 5px solid var(--color1);
}

.features-green {
    background: var(--color1);
    color: white;
    border-top: 7px solid white;
}

/*------------our services----------*/

.our-services, .our-amazing-inner-box {
    width: 1160px;
    text-align: center;
    margin: 0 auto;
    padding: 100px;
}

.our-services-title, .our-amazing-title, .news-title {
    position: relative;
    margin: 0 auto 112px auto;
    font-size: 36px;
    text-align: center;
    color: rgba(78, 78, 78, 255);
}


.our-services-title::before, .our-amazing-title::before,
.news-title::before,
.reviews-title::before, .gallery-title::before {
    content: '';
    position: absolute;
    top: 70px;
    left: 47%;
    height: 1px;
    width: 76px;
    background-color: var(--color1);
}

.our-services-title::after, .our-amazing-title::after,
.news-title::after,
.reviews-title::after, .gallery-title::after {
    position: absolute;
    content: '';
    top: 75px;
    left: 48%;
    height: 1px;
    width: 76px;
    background-color: var(--color1);
}

.our-services-menu {
    display: flex;
    margin-bottom: 50px;
}

.our-services-item {
    width: 192px;
    text-align: center;
    border: 1px solid #eeeeef;
    background-color: #f8fcfe;
    padding: 30px 0;
    cursor: pointer;
}

.active, .our-services-item:hover {
    position: relative;
    color: white;
    background-color: var(--color1);
}

.active::after {
    content: '';
    position: absolute;
    top: 70px;
    left: 40%;
    border: 20px solid transparent;
    border-top: 20px solid var(--color1);
}

.our-services-content {
    margin: 0 auto;
}

.our-services-content-item {
    display: none;
    height: 140px;
}

.our-services-image {
    width: 195px;
    height: 140px;
    float: left;
    box-sizing: border-box;
    margin-right: 20px;
    border: 1px solid grey;
}

.our-services-text {
    font-size: 14px;
    color: rgba(119, 119, 119, 255);
    line-height: 1.7em;
    text-align: justify;
}

/*-------purchase-------*/

.purchase {
    padding: 130px 0;
    text-align: center;
    border-top: 3px solid rgba(119, 119, 119, 0.5);
    background-image: linear-gradient(to top, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)),
url('../img/Sections background/section-2.jpg');
    background-repeat: no-repeat;
    background-position: 50% 50%;
}

.purchase-title {
    color: var(--color1);
    font-size: 36px;
    font-weight: bold;
    text-transform: uppercase;
    text-align: center;
    margin-bottom: 35px;
}

.purchase-text {
    text-align: center;
    font-size: 16px;
    color: rgba(212, 212, 212, 255);
    margin-bottom: 75px;
}

/*---------our amazing-------*/

.our-amazing {
    text-align: center;
    background-color: #f8fcfe;
    border-bottom: 1px solid #e1e1e1;
}

.our-amazing-box {
    display: flex;
    justify-content: center;
}

.our-amazing-menu {
    display: flex;
    margin-bottom: 70px;
    background-color: white;
}

.our-amazing-item {
    position: relative;
    color: grey;
    font-size: 14px;
    border: 1px solid #eeeeef;
    padding: 20px 30px;
    cursor: pointer;
}

.our-amazing-item::before, .our-amazing-item.active-item::before {
    position: absolute;
    content: '';
    left: 0;
    right: 0;
    top: -3%;
    height: 2px;
    background-color: var(--color1);
    display: none;
}

.our-amazing-item:hover::before, .our-amazing-item.active-item::before {
    display: block;
}

.our-amazing-item:hover, .our-amazing-item.active-item {
    color: var(--color1);
}

.our-amazing-images-container {
    position: relative;
}
.animation-amazing {
    background-color: rgba(0,0,0,0.8);
    position: absolute;
    top: 0;
    left:0;
    right:0;
    bottom: 0;
}

.amazing-images-block {
    display: flex;
    flex-wrap: wrap;
}

.amazing-image {
    position: relative;
}

.amazing-image:hover .overlay {
    display: block;
}

.overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: white;
    border-top: 3px solid var(--color1);
    z-index: 1;
    text-align: center;
    padding: 45px;
    display: none;
}

.overlay-icons-block {
    display: flex;
    justify-content: space-between;
    width: 90px;
    margin: 0 auto 35px auto;
}

.icon-chain {
    background: url('../img/sprite/icon-chain.png') 50% 50% no-repeat;
    width: 41px;
    height: 40px;
    border-radius: 50%;
    border: 1px solid var(--color1);
    cursor: pointer;
}

.amazing-image .icon-search-small {
    width: 41px;
    height: 40px;
    border: 1px solid var(--color1);
    border-radius: 50%;
    background-image: url('../img/sprite/icon-search-small.png'), linear-gradient(to top, var(--color1), var(--color1));
    background-position: 50% 50%;
    background-repeat: no-repeat;
    cursor: pointer;
}

.overlay-title {
    color: var(--color1);
    text-transform: uppercase;
    font-size: 14px;
    font-weight: bold;
    margin-bottom: 10px;
}

.overlay-text {
    font-size: 12px;
}

.load-more {
    position: relative;
    font-size: 14px;
    color: white;
    font-weight: bold;
    text-transform: uppercase;
    border-radius: 5px;
    border: none;
    outline: none;
    background-color: var(--color1);
    padding: 20px 20px 20px 55px;
    margin-top: 70px;
}

.load-more::before {
    content: '+';
    position: absolute;
    top: 17px;
    left: 5px;
    height: 20px;
    width: 50px;
    font-size: 30px;
    font-weight: bold;
    color: white;
}

/*--------breaking news---------*/

.news {
    padding-top: 100px;
    padding-bottom: 140px;
}

.news-container {
    max-width: 1160px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 10px;
    margin: 0 auto;
}

.news-image {
    position: relative;
}

.news-calendar {
    position: absolute;
    top: 0;
    right: 20px;
    width: 68px;
    height: 55px;
    font-size: 18px;
    text-align: center;
    color: white;
    line-height: 24px;
    background-color: #203e38;
    padding-top: 10px;
    z-index: 1;
}


.news-text-block {
    width: 240px;
    background-color: #f8fcfe;
    border: 1px solid #ececec;
    line-height: 30px;
    padding: 10px;
}

.news-heading {
    font-weight: bold;
    font-size: 20px;
}

.news-description {
    font-size: 14px;
}

.news-item-link:hover .news-heading {
    color: var(--color1);
}

.news-item-link:hover .news-calendar {
    background-color: var(--color1);
}

/*-------what people say about (reviews)---------*/

.reviews {
    height: 650px;
    background: linear-gradient(to top, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)),
    url('../img/Sections background/section-3.jpg');
    text-align: center;
    padding-top: 100px;
    padding-bottom: 100px;
}

.reviews-title {
    position: relative;
    color: white;
    font-size: 36px;
    text-align: center;
    margin-bottom: 105px;
}

.reviews-title::before {
    left: 48%;
}

.reviews-title::after {
    left: 49%;
}

.quotation {
    margin-bottom: 44px;
}

.review-item {
    height: 185px;
}

.review-blockquote {
    width: 1100px;
    font-size: 16px;
    margin: 0 auto 35px auto;
}

.review-blockquote-text {
    line-height: 24px;
    color: rgba(187, 187, 187, 255);
    text-align: center;
    padding-bottom: 28px;
}

.review-author {
    color: var(--color1);
    text-transform: uppercase;
    font-weight: bold;
    line-height: 30px;
}

.review-profession {
    display: block;
    text-transform: none;
    color: var(--color2);
    font-weight: normal;
}

.big-thumb-img {
    width: 143px;
    height: 142px;
    border-radius: 50%;
    border: 2px solid var(--color1);
    box-shadow: 0 0 0 10px rgba(24, 207, 171, 0.2);
    margin-bottom: 65px;
}

.carousel {
    height: 70px;
    width: 482px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 auto;
}

.arrow {
    width: 30px;
    height: 30px;
    color: var(--color2);
    line-height: 30px;
    text-align: center;
    vertical-align: center;
    border: 1px solid var(--color2);
}

.arrow:hover {
    background-color: var(--color1);
    color: white;
}

.carousel-inner-box {
    position: relative;
    width: 360px;
    height: 120px;
    overflow: hidden;
}

.carousel-list {
    position: absolute;
    top: 30px;
    left: 0;
    width: 740px;
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
    transition: all 0.5s;
}

.carousel-img {
    border: 1px solid var(--color1);
    border-radius: 50%;
    box-shadow: 0 0 0 5px rgba(24, 207, 171, 0.2);
    cursor:pointer;
}

.carousel-img.active-img {
    margin-top: -30px;
}

/*-----gallery-----*/

.gallery {
    width: 1160px;
    text-align: center;
    padding-top: 100px;
    margin: 0 auto 80px auto;
}

.gallery-container {
    position: relative;
    width: 1156px;
    margin-bottom: 70px;
}

.gallery-title {
    position: relative;
    color: rgba(78, 78, 78, 255);
    font-size: 36px;
    text-align: center;
    margin-bottom: 112px;
}

.gallery-title::before {
    left: 48%;
}

.gallery-title::after {
    left: 49%;
}

.item-middle, .item-big {
    width:370px;
    margin-bottom: 5px;

}

.gallery-item {
    position: relative;
}

.gallery-item .overlay {
    justify-content: center;
    align-items: center;
    background-color: rgba(25, 34, 55, 0.9);
    padding: 0;
    display: none;
}

.gallery-item:hover .overlay {
    display: flex;
    border-top: none;
}

.gallery-item i{
    width: 41px;
    height: 41px;
    color: white;
    line-height: 40px;
    vertical-align: center;
    background-color: #14b9d5;
    margin-right: 10px;
    cursor: pointer;
}

.gallery-item.item-tiny {
    position: relative;
}

.item-tiny .overlay, .item-small .overlay {
    bottom: 5px;
}

.img-small {
    width: 178px;
    margin-bottom: 5px;
}

.img-tiny {
    position: relative;
    width: 116px;
    height: 92px;
    margin-bottom: 5px;
}

.item-tiny i {
    width: 20px;
    height: 20px;
    font-size: 10px;
    line-height: 20px;
}

.item-middle i, .item-small i {
    font-size: 14px;
    width: 30px;
    height: 30px;
    line-height: 30px;
}

.gallery-load-more {
    position: relative;
    font-size: 14px;
    font-weight: bold;
    text-transform: uppercase;
    color: white;
    background-color: var(--color1);
    border-radius: 5px;
    border: none;
    outline: none;
    padding: 20px 20px 20px 55px;
}

.gallery-load-more::before {
    content: '+';
    position: absolute;
    top: 17px;
    left: 5px;
    height: 20px;
    width: 50px;
    font-size: 30px;
    font-weight: bold;
    color: white;
}

.animation {
    position: absolute;
    top: 0;
    left:0;
    right:0;
    bottom: 0;
    background-color: rgba(0,0,0,0.8);
}

/*----------footer--------*/

.footer {
    font-size: 14px;
    color: rgba(174, 174, 174, 255);
    text-align: center;
    background-color: #22353f;
    padding: 45px;
    margin-top: 60px;
}

.footer-green {
    color: var(--color1);
}
